#!/bin/sh

PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/bin:/usr/local/sbin
export PATH

echo "Content-Type: text/plain"
echo ""

echo "***** Server statistics on `/bin/date` *****"

echo "***** System uptime *****"
uptime

echo "***** Interfaces *****"
ifconfig -a

echo "***** netstat -ni *****"
netstat -ni

echo "***** ipfw show *****"
ipfw show

echo "***** ipnat -l *****"
ipnat -lv

echo "***** ipfstat -v *****"
ipfstat -v

echo "***** ipfstat -hio *****"
ipfstat -hio

echo "***** resolv.conf *****"
cat /etc/resolv.conf

echo "***** Processes *****"
ps xauww

echo "***** top -b *****"
top -b

#echo "***** ppp status *****"
#pppctl /var/run/pppctl show links\; show physical\; \
#	show lcp\; show ipcp\; show link\; show bundle

echo "***** dhcpd.conf *****"
cat /var/etc/dhcpd.conf

echo "***** /conf/ez-ipupdate.cache *****"
cat /conf/ez-ipupdate.cache

echo "***** df *****"
/bin/df

echo "***** /var/etc/racoon.conf *****"
cat /var/etc/racoon.conf

echo "***** SPD *****"
/usr/sbin/setkey -DP

echo "***** SAD *****"
/usr/sbin/setkey -D

echo "***** last 200 system log entries *****"
clog /var/log/system.log | tail -n 200

echo "***** last 50 filter log entries *****"
clog /var/log/filter.log | tail -n 50

echo "***** ls /conf *****"
ls /conf

echo "***** ls /var/run *****"
ls /var/run

echo "***** config.xml *****"
cat /conf/config.xml

echo "***** kldstat *****"
kldstat

echo "***** ngctl list *****"
ngctl list
